clear all
/* Create variable iShrtAnnCRSP, the average of bid and ask one- and three-month Treasury bill yields, also known as the CRSP riskfree rates described in section  4.4 of 
http://www.crsp.com/support/documentation/pdfs/monthly_treasury.pdf
*/
insheet using /Volumes/Data/Work/NewspaperOpEds/2008Panic/PunterOfLastResort/Data/iShrtAnnCRSP.csv
gen int year = floor(v1/10000)
gen int month = 100*(v1/10000-floor(v1/10000))
gen yearMonth = ym(year,month)
tsset yearMonth, monthly
format %tm yearMonth
gen iShrtAnnCRSP = v2/100
sort yearMonth

label variable iShrtAnnCRSP "Nominal risk free monthly interest rate (annualized) from CRSP"
/* graph twoway line iShrtAnnCRSP yearMonth */

keep iShrtAnnCRSP yearMonth
save iShrtAnnCRSP, replace

