# delimit ;

do iShrtMacaulay;
sort yearMonth; merge yearMonth using iShrtAnnCRSP; drop _merge;

generate iShrtAnnAll = iShrtAnnCRSP    ;
replace  iShrtAnnAll = iShrtAnnPre1925 if yearMonth <  tm(1926m1);
generate  iShrtAnnPct = iShrtAnnAll*100;
label variable iShrtAnnPct "1 Month Interest Rate";
      
save iShrtHistory, replace;
outsheet year month iShrtAnnAll using iShrtHistory, replace;

gen diShrtAnnPct    = iShrtAnnPct[_n]-iShrtAnnPct[_n-1];
gen diShrtAnnPctSqr = diShrtAnnPct*diShrtAnnPct;

label variable diShrtAnnPct "Change in Interest Rate (month to month)";
label variable yearMonth " ";

twoway  line  iShrtAnnPct yearMonth,xline(-540) text(20 -80 "<- Start of Fed Open Market Operations");
graph export "../Figures/iShrtAnnPct.pdf", replace;
graph export "../Figures/iShrtAnnPct.png", replace;

twoway line diShrtAnnPct yearMonth, xline(-540) text(-40 -80 "<- Start of Fed Open Market Operations") ;
graph export "../Figures/diShrtAnnPct.pdf", replace;
graph export "../Figures/diShrtAnnPct.png", replace;

