clear all
cd /Volumes/Data/Work/NewspaperOpEds/2008Panic/PunterOfLastResort/Data/
insheet using /Volumes/Data/Work/NewspaperOpEds/2008Panic/PunterOfLastResort/Data/iShrtMacaulay.csv

gen int yearInt = floor(year/100)
gen int monthInt = year-yearInt*100
gen yearMonth = ym(yearInt,monthInt)
tsset yearMonth, monthly
format %tm yearMonth
gen iShrtAnnPre1925 = ifree/100

label variable iShrtAnnPre1925 "Nominal risk free monthly interest rate (annualized) from Macaulay"

graph twoway line iShrtAnnPre1925 yearMonth

sort yearMonth
keep iShrtAnnPre1925 yearMonth
save iShrtAnnPre1925, replace
