/* Read in Shiller dataset and set it up as a Stata time series dataset */
clear all;
/* Obtaining the subset of Shiller's dataset that did not contain projections or calculations */
insheet using DataFromRobertShillerWebPage20080916Raw.csv;
generate int year  = floor(date);
generate int month = round(date*100-floor(date)*100);
generate yearMonth = ym(year,month);
sort yearMonth;  /* Data are already ordered by date, but Stata doesn't KNOW that fact; tell it */
tsset yearMonth, monthly;
format %tm yearMonth;
